Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 06/13/2022 in all areas

  1. Believe it or not but I am Kenny Ramage. I cannot believe that AfraLisp is still having an influence.
    1 point
  2. Sorry for not responding to any questions here the past week, managed to really forget my password lol. Anyways, I can confirm the recovery email made it to my inbox instantly now. Thank you all for taking the time to investigate the issue
    1 point
  3. 1 point
  4. Here is an example for you to move forward which should help you to know who it works. (setq ip1 (list 0.0 0.0) ip2 (list 0.0 1.0) ) (repeat 3 ;; repeat 3 times (command "-MTEXT" "_non" ip1 "H" "1.6" "_non" ip2 "Handbrandsläckare" "") (setq ip1 (list (+ (car ip1) 25.0) (cadr ip1)) ;; add 25.0 units to X coordinates ip2 (list (+ (car ip2) 25.0) (cadr ip2)) ;; add 25.0 units to X coordinates ) )
    1 point
  5. No it does not need command in between the coordinates if you used them as lists as examples posted above. But if you use them as strings then yes that's required although this is not needed at all because command accepts decimal or string inputs at the same time.
    1 point
  6. Hi All who have been affected by this issue. After further research, it turns out that Google made some changes to Gmail recently. Essentially, this was a tightening up of security in an attempt to reduce spam. As a result of this change, automatic emails (registration validation etc.) from our forum were being rejected. I have now made some changes to the way in which email is routed from the forum, and that appears to have resolved the problem. Please let me know if you are still having problems receiving emails from the forum.
    1 point
  7. Unfortunately, it's not quite as simple as just changing the width on that container. The CSS does not contain media queries for breakpoints beyond the current maximum column width. Consequently, the layout may break at wider column widths, requiring a significant amount of work beyond simply making the column wider. It would also result in wider content areas with longer lines of text, which are generally more difficult to read. I'm not ruling out further theme options in the future, and certainly, if there is support for such a change from the wider CADTutor community, I'd be happy to consider this for a future update.
    1 point
  8. you can solve that by deleting '(70 . 0) line I tested it (defun C:text_table (/ vars vals base i c tx base_n) (setq vars '(snapmode osmode cmdecho ATTDIA ATTREQ LUPREC) ;list of variables vals (mapcar 'getvar vars) ;store old values ) (mapcar 'setvar vars '(0 0 0 0 1 0)) ;set new values (setq base (getpoint "\nEnter Starting Point :") i 0 c 0 ) (while (< i 1000) (setq tx (strcat (AT:NumFix (itoa i) 4) " = " (chr i)) base_n (polar base (* pi 1.5) (* 20 i)) base_n (list (+ (car base) (* (fix (/ i 25)) 100)) (- (cadr base) (* 20 i))) ) (entmake (list '(0 . "TEXT") (cons 10 base_n) (cons 11 base_n) '(40 . 8.0) (cons 1 tx) '(71 . 0) '(72 . 1) ) ) (setq i (1+ i)) (setq c (1+ c)) (if (eq c 25) ;simple counter to step over (progn (setq base (polar base (* PI 0.5) 500)) (setq c 0) ) ) ) (mapcar 'setvar vars vals) ;restore old values (princ) ) (defun AT:NumFix (s n) ;; Fix number string with leading zeros ;; s - Number string to fix ;; n - Number of characters for final string ;; Alan J. Thompson, 10.29.09 (if (< (strlen s) n) (AT:NumFix (strcat "0" s) n) s ) )
    1 point
  9. about the point name issue: if there are spaces ( like @mhupp wrote) or Special Characters (like @BIGAL wrote): 1. open the .txt file in excel, and in text import wizard choose "as fixed width". 2. after the file is open select the name column. 3. go to Home -> Find&select -> Replace 4. replace the spaces and/or the Special Characters with appropriate Character (I usually go with "_"). 5. save the file (if save is selected the file will remain .TXT) or "save as...", and make sure to save as "Text (Tab Delimited) (*.TXT)" * as a comment I must add that is one of the most simple and useful lisp I've seen lately. thanks @psychopomp1 for the post and @mhupp for making it works....
    1 point
  10. (setq coords (vl-remove-if 'not (mapcar (function (lambda (p) (if (= 10 (car p)) (cdr p)))) (entget <entity name>))))
    1 point
  11. I guess you could make a temp copy of the polyline to explode and overkill. Check the total length of entity's left against the length of the unexploded polyline. original length = non returning length original length > returning length -edit You would then even know for what length its overlapping. -edit added lisp : RETURN Select entities: Polyline has 113.886 of overlap : RETURN Select entities: Polyline does not overlap ;;----------------------------------------------------------------------------;; ;; Check if a polyline is overlapping (defun C:RETURN (/ len len+ ss ss1 ent objs LastEnt) (setq len 0.0 len+ 0.0 ss (ssadd) ) (if (setq ss1 (ssget "_+.:E:S" '((0 . "*POLYLINE")))) (progn (setq ent (ssname ss1 0)) (setq len (+ (vlax-curve-getDistAtParam ent (vlax-curve-getEndParam ent)))) (setq LastEnt (entlast)) (setq objs (vlax-invoke (vlax-ename->vla-object ent) 'explode)) (foreach ent (mapcar 'vlax-vla-object->ename objs) (ssadd ent ss) ) (setvar 'nomutt 1) (command "-overkill" ss "" "") (setvar 'nomutt 0) (if (setq en (entnext LastEnt)) (while en (ssadd en SS) (setq en (entnext en)) ) ) (foreach e (vl-remove-if 'listp (mapcar 'cadr (ssnamex ss))) (if (entget e) (progn (setq len+ (+ len+ (vlax-curve-getDistAtParam e (vlax-curve-getEndParam e)))) (entdel e) ) (ssdel ent ss) ) ) (if (> len len+) (prompt (strcat "\nPolyline has " (rtos (- len len+) 2 3) " of overlap")) (prompt "\nPolyline does not overlap") ) ) ) (princ) )
    1 point
  12. IIRC, you can do Tabs in a VBA User Form. Like mentioned, OpenDCL, but needs installed on all machines, which may not be a big deal or could be a show stopper. As mentioned AutoCAD DCL doesn't do tabs, you will have to fake it, plain and simple. Go HERE and check out DCL_Tiles
    1 point
×
×
  • Create New...